
_readSensor:

;Stretch.mbas,46 :: 		sub procedure readSensor()
;Stretch.mbas,47 :: 		adc_rd = ADC_Get_Sample(2)                ' Read RA2
	MOVLW       2
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_rd+0 
;Stretch.mbas,48 :: 		delay_ms(10)                              ' Pause 10ms
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L__readSensor1:
	DECFSZ      R13, 1, 1
	BRA         L__readSensor1
	DECFSZ      R12, 1, 1
	BRA         L__readSensor1
	NOP
;Stretch.mbas,49 :: 		end sub
L_end_readSensor:
	RETURN      0
; end of _readSensor

_set_adc:

;Stretch.mbas,53 :: 		sub procedure set_adc()
;Stretch.mbas,54 :: 		ANSELA = 0x04                             ' Set ADC on RA2
	MOVLW       4
	MOVWF       ANSELA+0 
;Stretch.mbas,55 :: 		TRISA = 0x04                              ' Set RA2 as input
	MOVLW       4
	MOVWF       TRISA+0 
;Stretch.mbas,56 :: 		LATA = 0
	CLRF        LATA+0 
;Stretch.mbas,57 :: 		end sub
L_end_set_adc:
	RETURN      0
; end of _set_adc

_main:

;Stretch.mbas,59 :: 		main:
;Stretch.mbas,60 :: 		set_adc()                                 ' Set A/D register
	CALL        _set_adc+0, 0
;Stretch.mbas,61 :: 		LCD_Init()                                ' Initialize Lcd
	CALL        _Lcd_Init+0, 0
;Stretch.mbas,62 :: 		Lcd_Cmd(_LCD_CLEAR)                       ' Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Stretch.mbas,63 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)                  ' Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Stretch.mbas,64 :: 		Lcd_Out(1,1,"Stretch click")              ' Write text in first row
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       83
	MOVWF       ?LocalText_main+0 
	MOVLW       116
	MOVWF       ?LocalText_main+1 
	MOVLW       114
	MOVWF       ?LocalText_main+2 
	MOVLW       101
	MOVWF       ?LocalText_main+3 
	MOVLW       116
	MOVWF       ?LocalText_main+4 
	MOVLW       99
	MOVWF       ?LocalText_main+5 
	MOVLW       104
	MOVWF       ?LocalText_main+6 
	MOVLW       32
	MOVWF       ?LocalText_main+7 
	MOVLW       99
	MOVWF       ?LocalText_main+8 
	MOVLW       108
	MOVWF       ?LocalText_main+9 
	MOVLW       105
	MOVWF       ?LocalText_main+10 
	MOVLW       99
	MOVWF       ?LocalText_main+11 
	MOVLW       107
	MOVWF       ?LocalText_main+12 
	CLRF        ?LocalText_main+13 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Stretch.mbas,66 :: 		ADC_Init()                                ' Initialize ADC
	CALL        _ADC_Init+0, 0
;Stretch.mbas,67 :: 		delay_ms(100)                             ' Pause of 100ms for ADC module stabilization
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L__main4:
	DECFSZ      R13, 1, 1
	BRA         L__main4
	DECFSZ      R12, 1, 1
	BRA         L__main4
	DECFSZ      R11, 1, 1
	BRA         L__main4
;Stretch.mbas,69 :: 		while TRUE
L__main6:
;Stretch.mbas,70 :: 		readSensor()                          ' Read sensor
	CALL        _readSensor+0, 0
;Stretch.mbas,71 :: 		WordToStr(adc_rd,txt)                 ' Conversion int adc_rd to string txt
	MOVF        _adc_rd+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVLW       0
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;Stretch.mbas,72 :: 		LCD_Out(2,4,txt)                      ' Print txt value on LCD
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Stretch.mbas,73 :: 		delay_ms(500)                         ' Pause 500ms
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__main10:
	DECFSZ      R13, 1, 1
	BRA         L__main10
	DECFSZ      R12, 1, 1
	BRA         L__main10
	DECFSZ      R11, 1, 1
	BRA         L__main10
	NOP
;Stretch.mbas,74 :: 		wend
	GOTO        L__main6
L_end_main:
	GOTO        $+0
; end of _main
